AntiFeatures:
  - NonFreeNet
  - UpstreamNonFree
Categories:
  - Internet
License: GPL-2.0-or-later
WebSite: https://telegram.org
SourceCode: https://github.com/Telegram-FOSS-Team/Telegram-FOSS
IssueTracker: https://github.com/Telegram-FOSS-Team/Telegram-FOSS/issues
Translation: https://www.transifex.com/telegram/telegram/
Changelog: https://github.com/Telegram-FOSS-Team/Telegram-FOSS/blob/HEAD/Changelog.md
Liberapay: Telegram-FOSS
Bitcoin: 1P8kNcifVAkBWtWmjKY4RvVLy5QwruE2LQ

AutoName: Telegram FOSS

RepoType: git
Repo: https://github.com/Telegram-FOSS-Team/Telegram-FOSS.git

Builds:
  - versionName: 1.3.21
    versionCode: 160
    commit: v1.3.21a
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.3.26
    versionCode: 177
    commit: v1.3.26a
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.4.9
    versionCode: 212
    commit: v1.4.9a
    subdir: TMessagesProj
    patch:
      - jni_includes.patch
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.4.9c
    versionCode: 219
    commit: v1.4.9c
    subdir: TMessagesProj
    patch:
      - jni_includes.patch
    gradle:
      - yes
    forceversion: true
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.5.0
    versionCode: 250
    commit: v1.5.0a
    subdir: TMessagesProj
    patch:
      - jni_includes.patch
    gradle:
      - yes
    forceversion: true
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.6.1
    versionCode: 288
    commit: v1.6.1
    subdir: TMessagesProj
    patch:
      - jni_includes.patch
    gradle:
      - yes
    forceversion: true
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.7.0
    versionCode: 307
    commit: v1.7.0
    subdir: TMessagesProj
    patch:
      - jni_includes.patch
    gradle:
      - yes
    forceversion: true
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.8.3
    versionCode: 326
    commit: v1.8.3
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.9.3
    versionCode: 346
    commit: v1.9.3
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 1.9.6
    versionCode: 374
    commit: v1.9.6
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.0.4
    versionCode: 395
    commit: v2.0.4
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.1.0
    versionCode: 403
    commit: v2.1.0
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.1.1
    versionCode: 405
    commit: v2.1.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.3.2
    versionCode: 415
    commit: v2.3.2
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.4.0
    versionCode: 423
    commit: v2.4.0
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.5.2
    versionCode: 458
    commit: v2.5.2
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.6.0
    versionCode: 469
    commit: v2.6.0
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.8.1
    versionCode: 521
    commit: v2.8.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 2.9.1
    versionCode: 542
    commit: v2.9.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.0.1
    versionCode: 572
    commit: v3.0.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.1.2
    versionCode: 586
    commit: v3.1.2
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.1.3
    versionCode: 592
    commit: v3.1.3
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.2.2
    versionCode: 627
    commit: v3.2.2
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.2.6
    versionCode: 654
    commit: v3.2.6
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.3.1
    versionCode: 685
    commit: v3.3.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.4.2
    versionCode: 719
    commit: v3.4.2
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.6.1
    versionCode: 755
    commit: v3.6.1
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.6.1a
    versionCode: 756
    commit: v3.6.1a
    subdir: TMessagesProj
    gradle:
      - yes
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.7.0
    versionCode: 7673
    commit: v3.7.0
    subdir: TMessagesProj
    gradle:
      - fat
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.10.1
    versionCode: 8213
    commit: v3.10.1
    subdir: TMessagesProj
    gradle:
      - fat
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.13.1
    versionCode: 8513
    commit: v3.13.1
    subdir: TMessagesProj
    gradle:
      - fat
    build:
      - $$NDK$$/ndk-build
      - gradle nativeLibsToJar

  - versionName: 3.18.0
    versionCode: 9575
    commit: v3.18.0
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    ndk: r14

  - versionName: 3.18.0a
    versionCode: 9585
    commit: v3.18.0a
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    ndk: r14

  - versionName: 3.18.0b
    versionCode: 9595
    commit: v3.18.0b
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    prebuild: echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable
        'ExtraTranslation' } }" >> build.gradle
    ndk: r14

  - versionName: 3.18.0c
    versionCode: 9605
    commit: v3.18.0c
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    prebuild: echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable
        'ExtraTranslation' } }" >> build.gradle
    ndk: r14

  - versionName: 4.1.1
    versionCode: 10305
    commit: v4.1.1
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    ndk: r14b

  - versionName: 4.2.1
    versionCode: 10435
    commit: v4.2.1
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    ndk: r14b

  - versionName: 4.2.1a
    versionCode: 10445
    disable: too many bugs
    commit: v4.2.1a
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r15c

  - versionName: 4.2.1b
    versionCode: 10455
    commit: v4.2.1b
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r15c

  - versionName: 4.6.0
    versionCode: 11555
    commit: v4.6
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r15c

  - versionName: 4.6.0a
    versionCode: 11565
    commit: v4.6a
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r14b

  - versionName: 4.6.0b
    versionCode: 11575
    commit: v4.6b
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r14b

  - versionName: 4.6.0c
    versionCode: 11585
    commit: v4.6c
    subdir: TMessagesProj
    submodules: true
    gradle:
      - fat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    build:
      - export NDK=$$NDK$$
      - pushd jni
      - ./build_ffmpeg_android.sh
      - popd
    ndk: r14b

  - versionName: 4.9.0
    versionCode: 13400
    commit: v4.9
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r16b

  - versionName: 4.9.1
    versionCode: 13580
    commit: v4.9.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r16b

  - versionName: 4.9.1a
    versionCode: 13590
    disable: completely broken for some people, see https://github.com/Telegram-FOSS-Team/Telegram-FOSS/issues/288
    commit: v4.9.1a
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r16b

  - versionName: 5.2.1
    versionCode: 14780
    commit: v5.2.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r16b

  - versionName: 5.3.1
    versionCode: 14970
    commit: v5.3.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r16b

  - versionName: 5.4.0
    versionCode: 15170
    commit: v5.4.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19

  - versionName: 5.6.1
    versionCode: 15910
    commit: v5.6.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.7.1
    versionCode: 16080
    commit: v5.7.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.9.0
    versionCode: 16480
    commit: v5.9.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.9.0
    versionCode: 16483
    commit: v5.9.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7_SDK23
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.9.0
    versionCode: 16484
    commit: v5.9.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - x86_SDK23
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.9.0
    versionCode: 16487
    commit: v5.9.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64_SDK23
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.10.0
    versionCode: 16840
    commit: v5.10.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.10.0
    versionCode: 16841
    commit: v5.10.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.10.0
    versionCode: 16842
    commit: v5.10.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.10.0
    versionCode: 16845
    commit: v5.10.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.11.0
    versionCode: 17100
    commit: v5.11.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.11.0
    versionCode: 17101
    commit: v5.11.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.11.0
    versionCode: 17102
    commit: v5.11.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.11.0
    versionCode: 17105
    commit: v5.11.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r19c

  - versionName: 5.13.1
    versionCode: 18290
    commit: v5.13.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.13.1
    versionCode: 18291
    commit: v5.13.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.13.1
    versionCode: 18292
    commit: v5.13.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.13.1
    versionCode: 18295
    commit: v5.13.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.14.0
    versionCode: 18511
    commit: v5.14.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.14.0
    versionCode: 18515
    commit: v5.14.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.14.0
    versionCode: 18519
    commit: v5.14.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.15.0
    versionCode: 18691
    commit: v5.15.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 5.15.0
    versionCode: 18699
    commit: v5.15.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r20b

  - versionName: 6.0.1
    versionCode: 19111
    commit: v6.0.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21

  - versionName: 6.0.1
    versionCode: 19119
    commit: v6.0.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21

  - versionName: 6.1.1
    versionCode: 19471
    commit: v6.1.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21

  - versionName: 6.1.1
    versionCode: 19479
    commit: v6.1.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21

  - versionName: 6.2.0
    versionCode: 19881
    commit: v6.2.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 6.2.0
    versionCode: 19889
    commit: v6.2.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21b

  - versionName: 6.3.0
    versionCode: 20421
    commit: v6.3.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 6.3.0
    versionCode: 20429
    commit: v6.3.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scanignore:
      - TMessagesProj/src/main/java/org/telegram/messenger/voip/TgVoip.java
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.0.1
    versionCode: 20651
    commit: v7.0.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.0.1
    versionCode: 20655
    commit: v7.0.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/libwebp/swig/libwebp.jar
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.1.3
    versionCode: 21031
    commit: v7.1.3
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.1.3
    versionCode: 21035
    commit: v7.1.3
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.2.1
    versionCode: 21391
    commit: v7.2.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.2.1
    versionCode: 21395
    commit: v7.2.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.3.1
    versionCode: 22061
    commit: v7.3.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.3.1
    versionCode: 22065
    commit: v7.3.1
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.4.2
    versionCode: 22271
    commit: v7.4.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.4.2
    versionCode: 22275
    commit: v7.4.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21d

  - versionName: 7.5.0
    versionCode: 22461
    commit: v7.5.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.5.0
    versionCode: 22465
    commit: v7.5.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.6.0
    versionCode: 22641
    commit: v7.6.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.6.0
    versionCode: 22645
    commit: v7.6.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.7.2
    versionCode: 22931
    commit: v7.7.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.7.2
    versionCode: 22935
    commit: v7.7.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild:
      - echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c' > API_KEYS
      - sed -i -e 's/21.1.6352462/21.4.7075529/' build.gradle
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.8.0
    versionCode: 23601
    commit: v7.8.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 7.8.0
    versionCode: 23605
    commit: v7.8.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.0.0
    versionCode: 24061
    commit: v8.0.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.0.0
    versionCode: 24065
    commit: v8.0.0
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.1.2
    versionCode: 24321
    commit: v8.1.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.1.2
    versionCode: 24325
    commit: v8.1.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.2.7
    versionCode: 24701
    commit: v8.2.7
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh arm arm64
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh arm arm64
      - popd
    ndk: r21e

  - versionName: 8.2.7
    versionCode: 24705
    commit: v8.2.7
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh arm arm64
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh arm arm64
      - popd
    ndk: r21e

  - versionName: 8.4.2
    versionCode: 25261
    commit: v8.4.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - ./build_libvpx_clang.sh
      - popd
    ndk: r21e

  - versionName: 8.4.2
    versionCode: 25269
    commit: v8.4.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - ./build_libvpx_clang.sh
      - popd
    ndk: r21e

  - versionName: 8.4.4
    versionCode: 25381
    commit: v8.4.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - ./build_libvpx_clang.sh
      - popd
    ndk: r21e

  - versionName: 8.4.4
    versionCode: 25385
    commit: v8.4.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - ./build_libvpx_clang.sh
      - popd
    ndk: r21e

  - versionName: 8.4.4
    versionCode: 25389
    commit: v8.4.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - ./build_libvpx_clang.sh
      - popd
    ndk: r21e

  - versionName: 8.5.2
    versionCode: 25631
    commit: v8.5.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.2
    versionCode: 25635
    commit: v8.5.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.2
    versionCode: 25639
    commit: v8.5.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.4
    versionCode: 25661
    commit: v8.5.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.4
    versionCode: 25662
    commit: v8.5.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.4
    versionCode: 25665
    commit: v8.5.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.5.4
    versionCode: 25666
    commit: v8.5.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.6.2
    versionCode: 26001
    commit: v8.6.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.6.2
    versionCode: 26002
    commit: v8.6.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.6.2
    versionCode: 26005
    commit: v8.6.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.6.2
    versionCode: 26006
    commit: v8.6.2
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.7.4
    versionCode: 26361
    commit: v8.7.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - armv7
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.7.4
    versionCode: 26362
    commit: v8.7.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x86
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.7.4
    versionCode: 26365
    commit: v8.7.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - arm64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.7.4
    versionCode: 26366
    commit: v8.7.4
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - x64
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.8.5
    versionCode: 27219
    commit: v8.8.5
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.9.2
    versionCode: 27569
    commit: v8.9.2
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake libuv1
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 8.9.2a
    versionCode: 27579
    commit: v8.9.2a
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless ninja-build golang-go yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake libuv1
      - update-alternatives --auto java
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.0.2
    versionCode: 28089
    commit: v9.0.2
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.2.2
    versionCode: 29659
    commit: v9.2.2
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.3.3
    versionCode: 30269
    commit: v9.3.3
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 12834\nAPP_HASH = c84d9229db1d6be95c067b02b126352c'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.5.3
    versionCode: 32139
    commit: v9.5.3
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 105810\nAPP_HASH = 3e7a52498eec003c5896a330e5d29397'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.6.5
    versionCode: 33569
    commit: v9.6.5
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 105810\nAPP_HASH = 3e7a52498eec003c5896a330e5d29397'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

  - versionName: 9.7.6
    versionCode: 37219
    commit: v9.7.6
    subdir: TMessagesProj_App
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y ninja-build golang-go yasm cmake libuv1 make
    gradle:
      - afat
    rm:
      - TMessagesProj/jni/ffmpeg/tests/ref/fate/sub-microdvd-remux
    prebuild: echo -e 'APP_ID = 105810\nAPP_HASH = 3e7a52498eec003c5896a330e5d29397'
        > API_KEYS
    scandelete:
      - TMessagesProj/jni
    build:
      - export NDK=$$NDK$$
      - export NINJA_PATH=/usr/bin/ninja
      - pushd ../TMessagesProj/jni
      - ./build_libvpx_clang.sh
      - ./build_ffmpeg_clang.sh
      - ./patch_ffmpeg.sh
      - ./patch_boringssl.sh
      - ./build_boringssl.sh
      - popd
    ndk: r21e

MaintainerNotes: Update check mode not working because of version code calculations
    for different flavours.

ArchivePolicy: 3
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 9.7.6
CurrentVersionCode: 37219
